Name:       ncid
Version:    1.17
Release:    1%{?dist}
Summary:    Network Caller ID server, client and gateways
Requires:   logrotate
License:    GPLv3+
Url:        http://ncid.sourceforge.net
Source0:    https://sourceforge.net/projects/ncid/files/%{name}/%{version}/%{name}-%{version}-src.tar.gz

BuildRequires: make, gcc, gcc-c++
BuildRequires: libpcap-devel, pcre2-devel, libappstream-glib
BuildRequires: libphonenumber-devel, libicu-devel, protobuf-devel hidapi-devel
BuildRequires: perl-generators, perl-podlators
%{?systemd_requires}
BuildRequires: systemd


%description
NCID is Caller ID (CID) distributed over a network to a variety of
devices and computers.  NCID includes a server, gateways, a client,
client output modules and command line tools.

The NCID server obtains the Caller ID information from a modem,
a serial or USB device and from gateways: NCID, OBI, SIP, WC, YAC and XDMF.

This package contains the server and command line tools.
The gateways are in the ncid-gateways package.
The client and default modules are in the ncid-client package.

%package gateways
Summary:    NCID (Network Caller ID) gateways
Requires:   libpcap%{?_isa} >= 1.5.0, nc, hidapi

%description gateways
NCID is Caller ID (CID) distributed over a network to a variety of
devices and computers.  NCID includes a server, gateways, a client,
client output modules and command line tools.

This package contains the NCID gateways.

%package client
Summary:    NCID (Network Caller ID) client
BuildArch:  noarch
Requires:   tcl, tk >= 8.6.8, mailx, nmap-ncat, bwidget, python3, python3-phonenumbers

%description client
The NCID client obtains the Caller ID from the NCID server and normally
displays it in a GUI window.  It can also display the Called ID in a
terminal window or, using an output module, format the output and send it
to another program.

This package contains the NCID client and output modules that are not
separate packages.

%package kpopup
Summary:    NCID kpopup module displays Caller ID info in a KDE window
BuildArch:  noarch
Requires:   %{name}-client = %{version}-%{release}
Requires:   %{name}-speak = %{version}-%{release}
Requires:   kde-baseapps, kmix

%description kpopup
The NCID kpopup module displays Caller ID information in a KDE pop-up window
and optionally speaks the number via voice synthesis.  The KDE or Gnome
desktop must be running.

%package mysql
Summary:    NCID mysql module inputs Caller ID information into a SQL database
BuildArch:  noarch
Requires:   %{name}-client = %{version}-%{release}, mysql

%description mysql
The NCID mysql module inputs NCID Caller information into a SQL database
using either MariaDB or a MySQL database.

%package mythtv
Summary:    NCID mythtv module sends Caller ID information to MythTV
BuildArch:  noarch
Requires:   %{name}-client = %{version}-%{release}
Recommends: mythtv-frontend

%description mythtv
The NCID MythTV module displays Caller ID information using mythutil

%package samba
Summary:    NCID samba module sends Caller ID information to windows machines
BuildArch:  noarch
Requires:   %{name}-client = %{version}-%{release}, samba-client

%description samba
The NCID samba module sends Caller ID information to a windows machine
as a pop-up.  This will not work if the messenger service is disabled.

%package speak
Summary:    NCID speak module speaks Caller ID information via voice synthesis
BuildArch:  noarch
Requires:   %{name}-client = %{version}-%{release}, festival

%description speak
The NCID speak module announces Caller Id information verbally, using
the Festival text-to-speech voice synthesis system.

%prep

%autosetup -n %{name}

%build
make %{?_smp_mflags} EXTRA_CFLAGS="$RPM_OPT_FLAGS" libdir libcdir
make %{?_smp_mflags} EXTRA_CFLAGS="$RPM_OPT_FLAGS" \
     LOCKFILE=/var/lock/lockdev/LCK.. \
     TTYPORT=/dev/ttyACM0 \
     STRIP= prefix=%{_prefix} prefix2= prefix3= package systemddir

%install
make install-fedora prefix=%{buildroot}/%{_prefix} \
                            prefix2=%{buildroot} \
                            prefix3=%{buildroot}

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/ncid.metainfo.xml

%clean
rm -fr %{buildroot}%{name}-*

%files
%defattr(-,root,root)
%doc README VERSION doc/README-docdir
%doc doc/NCID-UserManual.md doc/NCID-API.md doc/ReleaseNotes.md doc/images
%doc man/README-mandir Fedora/README-Fedora server/README-server
%doc attic/README-attic extensions/README-extensions logrotate/README-logrotate
%doc tools/README-tools lib/README-lib udev/README-udev
%license doc/GPL.md
%{_docdir}/ncid/recordings/README-recordings
%{_docdir}/ncid/recordings/*.pvf
%{_bindir}/cidcall
%{_bindir}/cidalias
%{_bindir}/cidupdate
%{_bindir}/ncid-setup
%{_bindir}/ncidutil
%{_bindir}/ncidnumberinfo
%{_bindir}/update-cidcall
%{_sbindir}/ncidd
%dir %{_libdir}/ncid
%dir %{_datadir}/ncid
%dir %{_datadir}/ncid/sys
%dir %{_datadir}/ncid/recordings
%dir %{_datadir}/ncid/extensions
%dir %{_datadir}/ncid/plugins
%{_libdir}/ncid/libcarrier.so.8.12
%{_libdir}/ncid/libcarrier.so.8
%{_libdir}/ncid/libcarrier.so
%{_datadir}/ncid/sys/ncidrotate
%{_datadir}/ncid/sys/get-areacodes-list
%{_datadir}/ncid/sys/get-fcc-list
%{_datadir}/ncid/sys/ncid-yearlog
%{_datadir}/ncid/sys/udev-action
%{_datadir}/ncid/sys/udev-name
%{_datadir}/ncid/recordings/Callback.rmd
%{_datadir}/ncid/recordings/CallingDeposit.rmd
%{_datadir}/ncid/recordings/CannotBeCompleted.rmd
%{_datadir}/ncid/recordings/DidNotGoThrough.rmd
%{_datadir}/ncid/recordings/DisconnectedNotInService.rmd
%{_datadir}/ncid/recordings/NotInService.rmd
%{_datadir}/ncid/extensions/hangup-calls
%{_datadir}/ncid/extensions/hangup-closed-skel
%{_datadir}/ncid/extensions/hangup-combo
%{_datadir}/ncid/extensions/hangup-fakenum
%{_datadir}/ncid/extensions/hangup-fcc
%{_datadir}/ncid/extensions/hangup-greylist
%{_datadir}/ncid/extensions/hangup-message-skel
%{_datadir}/ncid/extensions/hangup-nohangup
%{_datadir}/ncid/extensions/hangup-skel
%{_datadir}/ncid/extensions/hangup-postal-code
%{_datadir}/ncid/plugins/message_dialog
%{_datadir}/ncid/plugins/us_number_info
%{_datadir}/ncid/plugins/display_ncid_variables
%dir %{_sysconfdir}/ncid
%config(noreplace) %{_sysconfdir}/ncid/hangup-combo.conf
%config(noreplace) %{_sysconfdir}/ncid/postal-codes
%config(noreplace) %{_sysconfdir}/ncid/ncidd.blacklist
%config(noreplace) %{_sysconfdir}/ncid/ncidd.whitelist
%config(noreplace) %{_sysconfdir}/ncid/modem2.conf
%config(noreplace) %{_sysconfdir}/ncid/modem3.conf
%config(noreplace) %{_sysconfdir}/ncid/modem4.conf
%config(noreplace) %{_sysconfdir}/ncid/modem5.conf
%config(noreplace) %{_sysconfdir}/ncid/ncidd.conf
%config(noreplace) %{_sysconfdir}/ncid/ncidd.alias
%config(noreplace) %{_sysconfdir}/ncid/ncidrotate.conf
%config(noreplace) %{_sysconfdir}/ncid/rotatebysize.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/ncid
%{_unitdir}/ncidd.service
%{_usr}/lib/udev/rules.d/*.rules
%{_mandir}/man1/cidalias.1*
%{_mandir}/man1/cidcall.1*
%{_mandir}/man1/cidupdate.1*
%{_mandir}/man1/ncidnumberinfo.1*
%{_mandir}/man1/update-cidcall.1*
%{_mandir}/man1/get-areacodes-list.1*
%{_mandir}/man1/get-fcc-list.1*
%{_mandir}/man1/hangup-calls.1*
%{_mandir}/man1/hangup-closed-skel.1*
%{_mandir}/man1/hangup-combo.1*
%{_mandir}/man1/hangup-fakenum.1*
%{_mandir}/man1/hangup-fcc.1*
%{_mandir}/man1/hangup-greylist.1*
%{_mandir}/man1/hangup-message-skel.1*
%{_mandir}/man1/hangup-nohangup.1*
%{_mandir}/man1/hangup-postal-code.1*
%{_mandir}/man1/hangup-skel.1*
%{_mandir}/man1/ncid-setup.1*
%{_mandir}/man1/ncid-yearlog.1*
%{_mandir}/man1/ncidutil.1*
%{_mandir}/man1/ncidrotate.1*
%{_mandir}/man5/ncidd.alias.5*
%{_mandir}/man5/ncidd.conf.5*
%{_mandir}/man5/ncidd.greylist.5*
%{_mandir}/man5/ncidd.blacklist.5*
%{_mandir}/man5/ncidd.whitelist.5*
%{_mandir}/man5/ncidrotate.conf.5*
%{_mandir}/man5/rotatebysize.conf.5*
%{_mandir}/man7/ncid_extensions.7*
%{_mandir}/man7/ncid_modems.7*
%{_mandir}/man7/ncid_plugins.7*
%{_mandir}/man7/ncid_recordings.7*
%{_mandir}/man7/ncid_tools.7*
%{_mandir}/man8/ncidd.8*

%files gateways
%defattr(-,root,root)
%doc README VERSION doc/GPL.md gateway/README-gateways
%{_sbindir}/artech2ncid
%{_sbindir}/cideasy2ncid
%{_bindir}/email2ncid
%{_bindir}/ncid2ncid
%{_bindir}/obi2ncid
%{_bindir}/rn2ncid
%{_bindir}/wc2ncid
%{_bindir}/wct
%{_bindir}/xdmf2ncid
%{_bindir}/yac2ncid
%{_sbindir}/sip2ncid
%dir %{_datadir}/ncid/setup
%{_datadir}/ncid/setup/ncid-email2ncid-setup
%config(noreplace) %{_sysconfdir}/ncid/artech2ncid.conf
%config(noreplace) %{_sysconfdir}/ncid/cideasy2ncid.conf
%config(noreplace) %{_sysconfdir}/ncid/email2ncid.conf
%config(noreplace) %{_sysconfdir}/ncid/ncid2ncid.conf
%config(noreplace) %{_sysconfdir}/ncid/obi2ncid.conf
%config(noreplace) %{_sysconfdir}/ncid/rn2ncid.conf
%config(noreplace) %{_sysconfdir}/ncid/sip2ncid.conf
%config(noreplace) %{_sysconfdir}/ncid/wc2ncid.conf
%config(noreplace) %{_sysconfdir}/ncid/xdmf2ncid.conf
%config(noreplace) %{_sysconfdir}/ncid/yac2ncid.conf
%{_unitdir}/artech2ncid.service
%{_unitdir}/cideasy2ncid.service
%{_unitdir}/ncid2ncid.service
%{_unitdir}/obi2ncid.service
%{_unitdir}/rn2ncid.service
%{_unitdir}/sip2ncid.service
%{_unitdir}/wc2ncid.service
%{_unitdir}/xdmf2ncid.service
%{_unitdir}/yac2ncid.service
%{_mandir}/man1/artech2ncid.1*
%{_mandir}/man1/cideasy2ncid.1*
%{_mandir}/man1/email2ncid.1*
%{_mandir}/man1/ncid2ncid.1*
%{_mandir}/man1/obi2ncid.1*
%{_mandir}/man1/rn2ncid.1*
%{_mandir}/man1/wc2ncid.1*
%{_mandir}/man1/wct.1*
%{_mandir}/man1/xdmf2ncid.1*
%{_mandir}/man1/yac2ncid.1*
%{_mandir}/man1/ncid-email2ncid-setup.1*
%{_mandir}/man5/artech2ncid.conf.5*
%{_mandir}/man5/cideasy2ncid.conf.5*
%{_mandir}/man5/email2ncid.conf.5*
%{_mandir}/man5/ncid2ncid.conf.5*
%{_mandir}/man5/obi2ncid.conf.5*
%{_mandir}/man5/rn2ncid.conf.5*
%{_mandir}/man5/sip2ncid.conf.5*
%{_mandir}/man5/wc2ncid.conf.5*
%{_mandir}/man5/xdmf2ncid.conf.5*
%{_mandir}/man5/yac2ncid.conf.5*
%{_mandir}/man7/ncid_gateways.7*
%{_mandir}/man8/sip2ncid.8*

%files client
%defattr(-,root,root)
%doc README VERSION client/README-client modules/README-modules
%doc icons/README-icons locales/README-locales
%doc doc/GPL.md doc/README-docdir desktop/README-desktop
%{_bindir}/ncid
%{_bindir}/phonetz
%dir %{_datadir}/ncid
%dir %{_datadir}/ncid/modules
%dir %{_datadir}/ncid/images
%dir %{_datadir}/ncid/msgs
%{_datadir}/ncid/lib
%{_datadir}/ncid/icons/flags
%{_datadir}/ncid/icons/phones
%{_datadir}/ncid/modules/ncid-alert
%{_datadir}/ncid/modules/ncid-initmodem
%{_datadir}/ncid/modules/ncid-notify
%{_datadir}/ncid/modules/ncid-page
%{_datadir}/ncid/modules/ncid-skel
%{_datadir}/ncid/modules/ncid-wakeup
%{_datadir}/ncid/modules/ncid-yac
%{_datadir}/ncid/images/logo.png
%{_datadir}/ncid/msgs/de_de.msg
%{_datadir}/ncid/msgs/fr_fr.msg
%{_datadir}/ncid/msgs/ja_jp.msg
%{_datadir}/applications/ncid.desktop
%{_metainfodir}/ncid.metainfo.xml
%{_datadir}/icons/hicolor/128x128/apps/ncid.png
%{_datadir}/icons/hicolor/96x96/apps/ncid.png
%{_datadir}/icons/hicolor/72x72/apps/ncid.png
%{_datadir}/icons/hicolor/64x64/apps/ncid.png
%{_datadir}/icons/hicolor/48x48/apps/ncid.png
%{_datadir}/icons/hicolor/32x32/apps/ncid.png
%{_datadir}/icons/hicolor/24x24/apps/ncid.png
%{_datadir}/icons/hicolor/22x22/apps/ncid.png
%{_datadir}/icons/hicolor/16x16/apps/ncid.png
%dir %{_sysconfdir}/ncid
%dir %{_sysconfdir}/ncid/conf.d
%config(noreplace) %{_sysconfdir}/ncid/ncid.conf
%config(noreplace) %{_sysconfdir}/ncid/conf.d/ncid-alert.conf
%config(noreplace) %{_sysconfdir}/ncid/conf.d/ncid-notify.conf
%config(noreplace) %{_sysconfdir}/ncid/conf.d/ncid-page.conf
%config(noreplace) %{_sysconfdir}/ncid/conf.d/ncid-skel.conf
%config(noreplace) %{_sysconfdir}/ncid/conf.d/ncid-yac.conf
%{_unitdir}/ncid-initmodem.service
%{_unitdir}/ncid-notify.service
%{_unitdir}/ncid-page.service
%{_unitdir}/ncid-yac.service
%{_mandir}/man1/phonetz.1*
%{_mandir}/man1/ncid.1*
%{_mandir}/man1/ncid-alert.1*
%{_mandir}/man1/ncid-initmodem.1*
%{_mandir}/man1/ncid-notify.1*
%{_mandir}/man1/ncid-page.1*
%{_mandir}/man1/ncid-skel.1*
%{_mandir}/man1/ncid-wakeup.1*
%{_mandir}/man1/ncid-yac.1*
%{_mandir}/man5/ncid.conf.5*
%{_mandir}/man7/ncid_modules.7*

%files kpopup
%defattr(-,root,root)
%doc VERSION modules/README-modules
%{_datadir}/ncid/modules/ncid-kpopup
%config(noreplace) %{_sysconfdir}/ncid/conf.d/ncid-kpopup.conf
%{_mandir}/man1/ncid-kpopup.1*

%files mysql
%defattr(-,root,root)
%doc VERSION modules/README-modules setup/README-setup
%{_datadir}/ncid/modules/ncid-mysql
%{_datadir}/ncid/setup/ncid-mysql-setup
%config(noreplace) %{_sysconfdir}/ncid/conf.d/ncid-mysql.conf
%{_unitdir}/ncid-mysql.service
%{_mandir}/man1/ncid-mysql.1*
%{_mandir}/man8/ncid-mysql-setup.8*

%files mythtv
%defattr(-,root,root)
%doc VERSION modules/README-modules
%{_datadir}/ncid/modules/ncid-mythtv
%config(noreplace) %{_sysconfdir}/ncid/conf.d/ncid-mythtv.conf
%{_unitdir}/ncid-mythtv.service
%{_mandir}/man1/ncid-mythtv.1*

%files samba
%defattr(-,root,root)
%doc VERSION modules/README-modules
%{_datadir}/ncid/modules/ncid-samba
%config(noreplace) %{_sysconfdir}/ncid/conf.d/ncid-samba.conf
%{_unitdir}/ncid-samba.service
%{_mandir}/man1/ncid-samba.1*

%files speak
%defattr(-,root,root)
%doc VERSION modules/README-modules
%{_datadir}/ncid/modules/ncid-speak
%config(noreplace) %{_sysconfdir}/ncid/conf.d/ncid-speak.conf
%{_unitdir}/ncid-speak.service
%{_mandir}/man1/ncid-speak.1*

%post
%systemd_post ncidd.service

%post gateways
%systemd_post artech2ncid.service cideasy2ncid ncid2ncid.service obi2ncid.service rn2ncid.service sip2ncid.service wc2ncid.service xdmf2ncid.service yac2ncid.service

%post client
%systemd_post ncid-initmodem.service ncid-notify.service ncid-page.service ncid-yac.service

%post mythtv
%systemd_post ncid-mythtv.service

%post mysql
%systemd_post ncid-mysql.service

%post samba
%systemd_post ncid-samba.service

%post speak
%systemd_post ncid-speak.service

%preun
%systemd_preun ncidd.service ncid2ncid.service sip2ncid.service yac2ncid.service obi2ncid.service rn2ncid.service wc2ncid.service

%preun client
# stop all modules even from other packages
%systemd_preun ncid-alert ncid-initmodem.service ncid-mysql.service ncid-mythtv.service ncid-notify.service ncid-page.service ncid-samba.service ncid-speak.service ncid-yac.service
# stop ncid GUI client and any user started modules
if [ $1 -eq 0 ] ; then
    pkill -f 'wish.*ncid ' || true
    pkill -f 'tclsh.*ncid-' || true
fi

%preun mysql
%systemd_preun ncid-mysql.service

%preun mythtv
%systemd_preun ncid-mythtv.service

%preun samba
%systemd_preun ncid-samba.service

%preun speak
%systemd_preun ncid-speak.service

%postun
if [ $1 -ne 0 ]; then
    ### upgrade package ###
    # move any user recordings to recordings directory
    for RECORDING in %{_datadir}/ncid/*.rmd
    do
        test -f $RECORDING && mv $RECORDING %{_datadir}/ncid/recordings || :
    done

    gtk-update-icon-cache /usr/share/icons/hicolor &>/dev/null || :
fi
%systemd_postun_with_restart ncidd.service

%postun gateways
%systemd_postun_with_restart ncid2ncid.service obi2ncid.service rn2ncid.service sip2ncid.service wc2ncid.service xdmf2ncid.service yac2ncid.service

%postun client
if [ $1 -ge 1 ]; then ### upgrade package ###
    # move any modules found to the modules directory
    for MODULE in %{_datadir}/ncid/ncid-*
    do
        test -f $MODULE && mv $MODULE %{_datadir}/ncid/modules
    done
fi
# a module service could have been installed by another package
%systemd_postun_with_restart %{_datadir}/ncid/modules/ncid-*

%postun mysql
%systemd_postun_with_restart ncid-mysql.service

%postun mythtv
%systemd_postun_with_restart ncid-mythtv.service

%postun samba
%systemd_postun_with_restart ncid-samba.service

%postun speak
%systemd_postun_with_restart ncid-speak.service

%posttrans client
# Icon Cache
touch --no-create %{_datadir}/icons/hicolor &>/dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
# Appdata
#appstream-compose --origin=ncid ncid > /dev/null 2>&1 || :

%changelog
* Mon Dec 2 2024 John Chmielewski <jlc@users.sourceforge.net> 1.17-1
- added prefix3= to build section
- removed install-all from the install section
- new release
* Wed Apr 10 2024 John Chmielewski <jlc@users.sourceforge.net> 1.16-1
- new release
- added display_ncid_variables.7*
* Mon Oct 2 2023 John Chmielewski <jlc@users.sourceforge.net> 1.15-1
- new release
- changd hangup-combo-skel to hangup-combo and added hangup-combo.conf
- added hangup-postel-code, postal-codes
* Tue May 30 2023 John Chmielewski <jlc@users.sourceforge.net> 1.14-1
- Added directory and major version number to Provides
- added artech2ncid and cideasy2ncid
- added artech2ncid.conf and cideasy2ncid.conf
- added artech2ncid.1* and cideasy2ncid.1*
- added artech2ncid.conf.5* and cideasy2ncid.conf.5*
- added plugins directory
- added plugins: change_nanpa_number and display_ncid_vriables
- added hidapi-devel to gateway package Requires
- changed ncid.gif to logo.png
- changed pcre-devel to pcre2.devel
* Tue Apr 26 2022 John Chmielewski <jlc@users.sourceforge.net> 1.13-1
- added msgs icons/flags and icons/phones directories
- added modem[2345].conf configuration files
- added phonetz, phonetz.1 and modems.7
- added bwidget requirement for ncid-client
- changed check and clean sections
* Thu Aug 19 2021 John Chmielewski <jlc@users.sourceforge.net> 1.12-1
- added provides libcarrier.so()(64bit)
- added libcdir to first make
- added hangup-greylist, hangup.greylist.1, hangup.greylist.5
- added ncidnumberinfo.1, update-cidcall.1, DidNotGoThrough.pvf, Callback.pvf
- added DidNotGoThrough.rmd, Callback.rmd
- added libcarrier.so libcarrier.so.8 libcarrier.so.12
- changed ncid.appdata.xml to ncid.metainfo.xml
- changed net.sourceforge.ncid.desktop to ncid.desktop
- New Release

* Sat Jan 25 2020 John Chmielewski <jlc@users.sourceforge.net> 1.11-1
- mostly in sync with the Fedora ncid.spec except for changelog
- changed Requires to Recommends for mythtv-frontend dependency
- changed local to package in build
- changed ncid.desktop to net.sourceforge.ncid.desktop
- changed README. files to README- files
- added new gateway requirement: perl-Net-Pcap
- replaced tk in client requirement with tk >= 8.6.8
- removed ncid-mysql.service and ncid-mythtv.service from client systemctl_post
- new release

* Mon Jan 21 2019 John Chmielewski <jlc@users.sourceforge.net> 1.10.1-1
- spec cleanup
- new release

* Tue Sep 4 2018 John Chmielewski <jlc@users.sourceforge.net> 1.10-1
- new release

* Sat Sep 1 2018 John Chmielewski <jlc@users.sourceforge.net> 1.9-1
- Bugfix and new sip2ncid and xdmf2ncid features release, see CHANGES file
- added device: Holtek HT9032D based PSTN Caller ID module
- added udev rules for the Holtek HT9032D based PSTN Caller ID module

* Sat Jun 2 2018 John Chmielewski <jlc@users.sourceforge.net> 1.8-1
- changed {_usr}/lib/systemd/system to { unitdir }
- added device: CTI Comet USB Caller ID
- added xdmf2ncid to gateways
- added perl-Switch, perl-Device-SerialPort and perl-Time-HiRes to
  gateways package requirements
- added udev rules for the CTI Comet USB and 56K USB Modems,
  auxiliary scripts and README.udev
- removed man2html, pandoc from build-requires
- added perl-generators to build-requires
- recordings: changed name: 'NumberDisconnected' to 'DisconnectedNotInService',
  to match the actual pronunciation, in accordance with other recordings
- recordings: restored the missing 'CannotBeCompleted'
- recordings: recreated 'NotInService'
- New release, see CHANGES file

* Tue Oct 3 2017 John Chmielewski <jlc@users.sourceforge.net> 1.7-1
- added ncid.desktop, ncid.appdata.xml and ncid.png icons
- added get-fcc-list and ncid_extensions,
  hangup-fcc, hangup-fakenum, hangup-combo-skel, hangup-nohangup,
  altogether with the man pages
- New release, see CHANGES file

* Mon Nov 14 2016 John Chmielewski <jlc@users.sourceforge.net> 1.6-1
- removed retext as a requirement
- New release, see CHANGES file

* Sun Oct 2 2016 John Chmielewski <jlc@users.sourceforge.net> 1.5-1
- added to build: LOCKFILE=/var/lock/lockdev/LCK.. TTYPORT=/dev/ttyACM0
- doc: /usr/share/doc/ncid/recordings -> {_defaultdocdir}/ncid/recordings
- moved gateways from the ncid package into the gateways package
- rewrote all pre post preun postun scripts
- removed doc/NCID-SDK.md
- added firewall check in post to add NCID port
- added firewall check in postun to remove NCID port
- added ncid-yearlog and man page to ncid
- added email2ncid, email2ncid.conf and email2ncid.[15]* to ncid-gateways
  added ncid-setup ncid-email2ncid-setup and man pages to ncid-gateways
- updated for hangup extension name changes and two new hangup extensions
- added new mysql package
- See NCID CHANGES file

* Thu Mar 24 2016 John Chmielewski <jlc@users.sourceforge.net> 1.4-1
- new release
- added hangup-skel, hangup-skel.1*, hangup-message, hangup-message.1*
- added perl-podlators to BuildRequires:
  removed CannotBeCompleted.rmd
- changed recording directory to recordings directory
- removed doc/Makefile

* Wed Dec 23 2015 John Chmielewski <jlc@users.sourceforge.net> 1.3-1
- renamed NCID_Documentation.md to NCID-UserManual.md
- renamed LICENSE to GPL.md and NCID-API.odt to NCID-API.md
- added CallingDeposit.pvf CallingDeposit.rmd CannotBeCompleted.pvf
- added CannotBeCompleted.rmd NotInService.pvf NotInService.rmd
- added ncid/sys ncid/modules ncid/recording directories
- modified preun, preun client, postun, postun client

* Sat Sep 12 2015 John Chmielewski <jlc@users.sourceforge.net> 1.2-1
- added Alias.md, Hangup.md NumberDisconnected.wav
- added NumberDisconnected.rmd README.recording

* Mon Aug 24 2015 John Chmielewski <jlc@users.sourceforge.net> 1.1-1
- added obi2ncid, obi2ncid.conf, obi2ncid.service

* Fri Aug 29 2014 John Chmielewski <jlc@users.sourceforge.net> 1.0-1
- new files /NCID-API.odt and NCID-SDK.md, removed file NCID-SDK.odt

* Tue Apr 8 2014 John Chmielewski <jlc@users.sourceforge.net> 0.89-1
- new release

* Wed Nov 20 2013 John Chmielewski <jlc@users.sourceforge.net> 0.88-1
- changed documentation files in doc/

* Thu May 23 2013 John Chmielewski <jlc@users.sourceforge.net> 0.87-1
- Updated lincese file and GNU license headers in files
- fixed ncidd to output a CID line if cidcall.log file not present
- modified cidnoname logic to add "NONMAE" when number was optained
- added rn2ncid, rn2ncid.conf, rn2ncid.service
- enabled _hardened_build

* Mon Feb 11 2013 John Chmielewski <jlc@users.sourceforge.net> 0.86-1
- Updated man pages: ncid*
- Updated and fixed client description
- Fixed typo in mythtv package summary
- New gateway: wc2ncid wc2ncid.conf wc2ncid.1 wc2ncid.conf.5 wc2ncid.service
- New output module: ncid-wakeup ncid-wakeup.1
- New output module: ncid-alert ncid-alert.conf ncid-alert.1
- new tool (wct), new man pages: ncidtools.7 ncidgateways.7
- Removed ncidsip and related ncidsip files

* Thu Oct 18 2012 John Chmielewski <jlc@users.sourceforge.net> 0.85-1
- Added ncidd.whitelist ncid-notify ncid-notify.service
- Added ncidd.whitelist.5 ncid-notify.1 ncid-modules.7
- Added Verbose-ncid to client
- Removed ncidmodules.1 and ncidmodules.conf.5 ncidtools.1
- Renamed scripts/ to logname/ and README.scripts to README.logrotate
- Fixed postun client
- Updated doc files

* Mon Jul 2 2012 John Chmielewski <jlc@users.sourceforge.net> 0.84-1
- Changed from using service and init scripts to systemctl and service scripts

* Fri Sep 2 2011 John Chmielewski <jlc@users.sourceforge.net> 0.83-1
- Removed /usr/share/ncid/ncid-tivo
- Removed ncid-tivo.1

* Thu Mar 17 2011 John Chmielewski <jlc@users.sourceforge.net> 0.82-1
- New release

* Sat Feb 26 2011 John Chmielewski <jlc@users.sourceforge.net> 0.81-1
- Removed: /usr/share/ncid/ncid-hangup
- Removed: _initrddir/ncid-hangup
- Removed: /etc/ncid/ncid.minicom
- Added:   _mandir/man5/ncidd.blacklist.5*
- Removed line: config(noreplace) /etc/ncid/ncid.blacklist
- Added line: config(noreplace) /etc/ncid/ncidd.blacklist
- Added man pages: cidalias.1 cidcall.1 cidupdate.1 ncid-initmodem.1
- Added man pages ncid-kpopup.1 ncid-page.1 ncid-samba.1 ncid-speak.1
- Added man pages: ncid-mythtv.1 ncid-skel.1 ncid-tivo.1 ncid-yac.1

* Sun Oct 10 2010 John Chmielewski <jlc@users.sourceforge.net> 0.80-1
- New release

* Thu Aug 26 2010 John Chmielewski <jlc@users.sourceforge.net> 0.79-1
- Added line: /usr/bin/ncid2ncid
- Added line: config(noreplace) /etc/ncid/ncid2ncid.conf
- Added line: _initrddir/ncid2ncid
- Added line: _mandir/man1/ncid2ncid.1*
- Added line: _mandir/man5/ncid2ncid.conf.5*

* Fri May 14 2010 John Chmielewski <jlc@users.sourceforge.net> 0.78-1
- New release

* Fri Apr 9 2010 John Chmielewski <jlc@users.sourceforge.net> 0.77-1
- Removed line: _initrddir/ncid-kpopup
- Removed section: post kpopup
- Removed section: preun kpopup
- Removed section: postun kpopup
- Added line: _initrddir/ncid-initmodem
- Added line: /usr/share/ncid/ncid-initmodem
- Added line: /etc/ncid/ncid.minicom
- Added line: config(noreplace) /etc/ncid/ncid.blacklist in client section
- Added ncid-initmodem and ncid-hangup to SCRIPT lines in client sections
- Added more comments

* Mon Dec 28 2009 John Chmielewski <jlc@users.sourceforge.net> 0.76-1
- Changed /usr/share/pixmaps/ncid.gif to /usr/share/pixmaps/ncid/ncid.gif

* Mon Oct 19 2009 John Chmielewski <jlc@users.sourceforge.net> 0.75-1
- Client package changed from i386 to noarch
- Added line: _initrddir/ncid-hangup
- Added line: /usr/share/ncid/ncid-hangup

* Fri Jun 19 2009 John Chmielewski <jlc@users.sourceforge.net> 0.74-1
- New release

* Thu Mar 12 2009 John Chmielewski <jlc@users.sourceforge.net> 0.73-1
- Initial build.
