global ncid_installer_is_running

proc backupProtectedWishrc {{showBox 1}} {
    set ProtectedDir /data/data/tk.tcl.wish/files
    set ScriptDir  [file normalize [file dirname [info script]]]
    set ToolsDir   $ScriptDir
    set SourceFile [file normalize [file join $ProtectedDir .wishrc]]
    set TargetFile [file normalize [file join $ToolsDir protected-.wishrc.backup]]
    if {[file exists $SourceFile]} {
       if {$showBox} {
          set answer [tk_messageBox -message "About to backup protected .wishrc -- proceed?"  -icon warning -type okcancel]
          if { $answer != "ok" } {return "user aborted"}
       }
       file copy -force $SourceFile $TargetFile
       set msg "Copied: $SourceFile\nTo    : $TargetFile"
       if {$showBox} {tk_messageBox -message $msg -type ok}
       return $msg
    } else {
      set msg "File not found: $SourceFile"
      if {$showBox} {tk_messageBox -message $msg -icon warning -type ok}
      return $msg
    }
}

if {![info exists ncid_installer_is_running]} {
   backupProtectedWishrc
   # check if being run from file manager and not launcher-ncid.tcl
   if {[pwd] == "/"} {exit}
}