global ncid_installer_is_running

proc createProtectedWishrc {{showBox 1}} {
    if {$showBox} {
       set answer [tk_messageBox -message "About to create protected .wishrc -- proceed?"  -icon warning -type okcancel]
       if { $answer != "ok" } {return "user aborted"}
    }
    set ProtectedDir /data/data/tk.tcl.wish/files
    set ScriptDir    [file normalize [file dirname [info script]]]
    set ToolsDir     $ScriptDir
    set MainDir      [file dirname $ToolsDir]
    set SourceFile   [file normalize [file join $ToolsDir protected-.wishrc.template]]
    set TargetFile   [file normalize [file join $ProtectedDir .wishrc]]

    set inFile [open $SourceFile r]
    set outFile [open $TargetFile w]
    while { [gets $inFile line] != -1 } {
        regsub {MAINDIR} $line $MainDir line
        puts $outFile $line
    }
    close $inFile
    close $outFile
    set msg "Copied: $SourceFile\nTo    : $TargetFile"
    if {$showBox} {tk_messageBox -message $msg -type ok}
    return $msg
}

if {![info exists ncid_installer_is_running]} {
   createProtectedWishrc
   # check if being run from file manager and not launcher-ncid.tcl
   if {[pwd] == "/"} {exit}
}