proc plist {x {count 1} {outputAs ret} {verbose 0}} {

    # x is the list

    # count is # of elements per "row" (e.g., 2 for key-value pair)

    # outputAs can be:
    #    ""    to send to STDOUT
    #    "ret" for return as string
    #    anything else is treated as an already opened channel id

    set result ""

    if {$count == 1} {
       foreach y $x {
          switch $outputAs {
             ""      {puts           $y}
             "ret"   {append result "$y\n"}
             default {puts $outputAs $y}
          }
       }
       return $result
    }

    if {$verbose > 0} {
       switch $outputAs {
          ""      {puts           "count=$count"}
          "ret"   {append result  "count=$count\n"}
          default {puts $outputAs "count=$count"}
       }
    }

    # figure padding for pretty print
       set maxl 0
       foreach {name val} $x {
          if {$verbose > 0} {
             switch $outputAs {
                ""      {puts           "length of $name is [string length $name]"}
                "ret"   {append result  "length of $name is [string length $name]\n"}
                default {puts $outputAs "length of $name is [string length $name]"}
             }
          }
	       if {[string length $name] > $maxl} {
   	       set maxl [string length $name]
            if {$verbose > 0} {
               switch $outputAs {
                  ""      {puts           "maxl=$maxl"}
                  "ret"   {append result  "maxl=$maxl\n"}
                  default {puts $outputAs "maxl=$maxl"}
               }
            }
	       }
        }
     # do pretty print
        set maxl [expr {$maxl + 2}]
        foreach {name val} [lsort -stride $count $x] {
            set line [format "%-*s = %s" $maxl $name $val]
            switch $outputAs {
               ""      {puts           $line}
               "ret"   {append result "$line\n"}
               default {puts $outputAs $line}
            }
        }
    return $result
}