<!-- INSTALL-Gentoo.md - Removable HEADER Start -->

Last edited: Jun 6, 2024

<!-- Removable HEADER End -->

## <a name="instl_gentoo_top"></a>Gentoo Install

> The STARTUP, START/STOP/STATUS, and AUTOSTART sections show systemd scripts.  OpenRC
  scripts are not shown.

> If NCID does not work, see [INSTALL](#instl_generic_top) for some simple tests.

> If you're using a gateway, review the appropriate section in [Gateways](#gateways_top).

> [Table of Contents](#doc_top)

### Sections:

> [COMPILE:](#instl_gentoo_comp)  
  [INSTALL:](#instl_gentoo_inst)  
  [CONFIGURE:](#instl_gentoo_conf)  
  [STARTUP:](#instl_gentoo_start)  
  [START/STOP/STATUS:](#instl_gentoo_ss)  
  [AUTOSTART:](#instl_gentoo_as)  

### <a name="instl_gentoo_comp"></a>COMPILE:

> See INSTALL.

### <a name="instl_gentoo_inst"></a>INSTALL:

> The NCID package installs in / and /usr.

> Both systend service scripts scripts and
  [openRC](https://wiki.archlinux.org/title/OpenRC) scripts are installed,

> #### Requirements

> The [Portage](https://wiki.gentoo.org/wiki/Portage) package manager retrieves the required package source code from the Gentoo repositories, compiles and installs it on the user’s system.

> - upgrade Gentoo installed packages:

> - install systemd, if you want to use the NCID service scripts instead of using the NCID openRC scripts

> - install tcl tk git bwidget.git and dialog

> - install python3 programs: phonenumbers dialog

> - install Perl config-simple and Data-HexDump

> - install syslog and logrotate

> - install the vim editor (or another editor of your choice)

> #### Install or upgrade:

>> Compile from source and install for either an initial install or upgrade.

>>  Your existing configuration files will be preserved, on an upgrade, 
    and new ones installed will have \*.new as the extension.

>> You will need to manually compare your current configuration files 
   with the \*.new ones and manually edit any differences.

>               Copy ncid-VERSION-src.tar.gz to the Gentoo computer
>
>               tar -xzvf ncid-VERSION-src.tar.gz
>
>               make gentoo
>
>               make gentoo-install

### <a name="instl_gentoo_conf"></a>CONFIGURE:

> The ncidd.conf file is used to configure ncidd.

> - Set the modem in ncidd.conf:

>               set ttyport = /dev/ttyACM0

> - If you are using a gateway instead of a local modem,
    you need to set cidinput:
>
>               set cidinput = 1 # Caller ID from a serial or USB device and optional gateways  
>               set cidinput = 2 # Caller ID from gateways with modem support  
>               set cidinput = 3 # Caller ID from gateways without modem support  

> - If you are using a local modem with or without a gateway:
>
>               set cidinput = 0  (this is the default)

### <a name="instl_gentoo_start"></a>STARTUP:

> - If you are running the server and client on the same computer
     and using a modem:
>
>          sudo systemctl start ncidd
>
>          ncid &

> - If you are running the server and using a gateway:
>
>          sudo systemctl start ncidd <name of gateway>
>
>          ncid &

> - Call yourself and see if it works, if not:

>> stop the gateway and server:
>
>>          sudo systemctl stop <name of gateway> ncidd

>> and continue reading the test sections.

> - If everything is OK, enable the NCID server, gateways and
    client modules you are using to autostart at boot.

> - NOTE:

>> - The ncid client normally starts in the GUI mode and there is no
     service script to start or stop it.

>> - There are service scripts for starting ncid with output modules,
     for example: ncid-page, ncid-kpopup, etc.

>>> The ncid client can be started automatically from the **Auto Start** item in the **File** menu.

### <a name="instl_gentoo_ss"></a>START/STOP/STATUS:

> Use the 'systemctl' command to control any of the daemons.  The service
  commands are: start, stop, restart, reload, reload-or-restart and status.
  The client can also be started using the output module name instead
  of ncid.  All output modules can be run at the same time.

> Here are some examples:

> - Start the NCID server:
> 
>          sudo systemctl start ncidd.service

> - Stop the sip2ncid server:
> 
>          sudo systemctl stop sip2ncid.service

> - Reload the server alias file:
> 
>          sudo systemctl reload-or-restart ncidd.service

> - Restart ncid using ncid-page:
> 
>          sudo systemctl start ncid-page.service

> - Get the status of ncid using ncid-speak:
> 
>          sudo systemctl status ncid-speak.service

> Review the man page: **man systemctl**

### <a name="instl_gentoo_as"></a>AUTOSTART:

> Use the 'systemctl' command to enable/disable a service to start at boot.

> Here are some examples:

> - Autostart ncidd at boot:
> 
>          sudo systemctl enable ncidd

> - Autostart ncidd and sip2ncid at boot:
> 
>          sudo systemctl enable ncidd sip2ncid

> - Disable ncid-speak from starting at boot:
> 
>          sudo systemctl disable ncid-speak

> Review the man page: **man systemctl**
