<!-- INSTALL-Win.md - Removable HEADER Start -->

Last edited: Jun 6, 2024

<!-- Removable HEADER End -->

## <a name="instl_win_top"></a>Windows Install

> Install either the Windows client package or the complete package.

> [Table of Contents](#doc_top)

<!--
[### Sections:]
-->

### Sections:

<!--
Note: Do not change the version# in "(NCID version 1.7 and newer)" to be
the latest version. The version# must remain 1.7 to distinguish it from
the "(NCID version 1.6 and older)" instructions.
-->

> [WINDOWS CLIENT-ONLY INSTALL (NCID version 1.7 and newer):](#instl_win_client)

>> [Requirements](#instl_requirements)  
>> [Install NCID Client](#instl_win_client_tcl)  
>> [Upgrade](#upgrade_win_client_tcl)  
>> [Autostart at Login](#instl_win_client_auto)  
>> [Specifying command-line arguments and options](#instl_win_client_arg)

> [WINDOWS CLIENT-ONLY INSTALL (NCID version 1.6 and older):](#instl_freewrap_win_client)

>> [Requirements](#instl_freewrap_requirements)  
>> [Install ncid.exe](#instl_freewrap_win_client_exe)

> [WINDOWS 10 and 11 COMPLETE INSTALL:](#instl_win_10_11)

<!--
[### WINDOWS CLIENT-ONLY INSTALL (NCID version 1.7 and newer):]
-->

<!--
Note: Do not change the version# in "(NCID version 1.7 and newer)" to be
the latest version. The version# must remain 1.7 to distinguish it from
the "(NCID version 1.6 and older)" instructions.
-->

### <a name="instl_win_client"></a>WINDOWS CLIENT-ONLY INSTALL (NCID version 1.7 and newer):

<!--
[#### Requirements]
-->

> #### <a name="instl_requirements"></a>Requirements

<!--
Note: Do not change the version# in "(NCID version 1.7 and newer)" to be
the latest version. The version# must remain 1.7 to distinguish it from
the "(NCID version 1.6 and older)" instructions.
-->

> - Windows client version 1.7 and newer

> - [NCID](https://ncid.sourceforge.io/ncid/ncid.html) server

> - ActiveTcl-8.6.9 and newer

>> - Go to the [ActiveTcl download page](https://www.activestate.com/products/tcl/)  

>> - Download of the ActiveTcl installer requires a free account.

>> - Run the ActiveTcl installer and for **Choose Setup Type** you must select **Complete**.
Accept all other defaults.

> - Python3

>> - Go to [Python Releases for Windows](https://www.python.org/downloads/windows/) and choose "Download Windows installer".  
>>Install the full package and check "Use admin privileges when installing py.exe" and "Add Python.exe to PATH".  
>>Do not use the Windows store to obtain the Python package because tcl will not be able to find Python.

>>- After installing python, install the following using pip:  
>>>pip install phonenumbers pydialog

>> Choose only ONE of the following to install:

>> - [Zenity for Windows version 3.20.0, dated August 11, 2016 (on the Wayback Machine)](https://web.archive.org/web/20220823162810/https://github.com/kvaps/zenity-windows/releases)

>>> Even though this has an older date than WinZenity below, it is recommended because it has more features. Be sure to read this [reported issue](https://web.archive.org/web/20210118205511/https://github.com/kvaps/zenity-windows/issues/1#issue-734260661-permalink) before installing; the NCID Developers did not experience this issue.

>>>>>>>> or

>> - [WinZenity (Zenity version 3.6 Portable for Windows), dated February 10, 2020](https://github.com/maravento/winzenity)

>>> There is no installer, simply unzip zenity.zip and put the extracted zenity.exe in a directory where it can be found.  Suggest &lt;drive&gt;\ncid\zenity.exe.

<!--
[#### Install NCID Client]
-->

> #### <a name="instl_win_client_tcl"></a>Install NCID Client

> - Download "ncid-VERSION-client_windows_setup.exe" from [SourceForge](https://sourceforge.net/projects/ncid/files/ncid/).

> - Run the installer:

>> - Decide if you want a desktop link (default).

>> - Decide if you want a startup link (optional; can be added manually after installation).

>> - Accept defaults for all other prompts until you get to the server address.

>> - Change the server address if different from the default shown.

>>> Examples:
>>>  
>>>          192.168.22.10  

>>>          ncid.sourceforge.net

>> - The default installation folder is:
>>  
>>>          C:\ncid

> - File ncid.conf will be located in the same folder as ncid.tcl. Feel free to edit this file and change options as desired.

> - To run the client from the Windows Command Prompt, simply type ncid.tcl followed by
> [command-line arguments and options](#instl_win_client_arg). No Windows shortcut is needed.

> - To run ncid.tcl from Windows Explorer, make sure ncid.conf has a correct "set Host" line, then
> double-click on ncid.tcl.

<!--
[#### Upgrade]
-->

> #### <a name="upgrade_win_client_tcl"></a>Upgrade

> - Install the latest ncid client for windows and it will replace the old version.

>> If an existing ncid.conf is detected it will be preserved; the one for the new version will be called ncid.newconf.

> - Install the latest ActiveTcl version, must be version 8.6.9 and newer.


<!--
[#### Autostart at Login]
-->

> #### <a name="instl_win_client_auto"></a>Autostart at Login

>> These steps assume you have successfully completed the [Install NCID Client](#instl_win_client_tcl) steps.

>> You can make ncid autostart at login by simply copying the ncid
   shortcut from the desktop to your Startup folder.
   Follow these steps:

>> 1. Find the newly-installed ncid shortcut (icon) on the desktop.
>> 1. Right-click on it and choose Copy.
>> 1. Click on Start and choose All Programs.
>> 1. Scroll until you find the folder called Startup.
>> 1. Right-click on Startup and choose Open.
>> 1. Paste the shortcut with ctrl-v, or in the menu bar choose Edit->Paste.

<!--
[#### Specifying command-line arguments and options]
-->

> #### <a name="instl_win_client_arg"></a>Specifying command-line arguments and options

>> Command-line arguments and options can be added to a shortcut.  The install package
   creates a desktop shortcut that contains the server address argument, for example:
>  
>>          C:\ncid\ncid.tcl 192.168.22.10

>> The default port number is 3333 but it can also be changed in the shortcut
   if it is different from the default of 3333. Right-click on
   the shortcut, choose Properties, then add a space followed by the
   port number, for example:
>  
>>          C:\ncid\ncid.tcl 192.168.22.10 3334

>> Adding options requires they be specified before the server's
   IP address or hostname.

>> You should add two hyphens (--) right
   after ncid.tcl so that the TCL/TK interpreter does not confuse options 
   intended for itself and those intended for ncid. 

>> You can mix short and long options.

>>  Example:
>  
>>          C:\ncid\ncid.tcl -- -D 120 --ring 5 -X -H 192.168.22.10 3334

>> Supported options:
>  
>               --alt-date,                  -A
>               --delay <seconds>,           -D <seconds>
>               --hostname-flag,             -H
>               --noexit,                    -X
>               --PopupTime <1-99 seconds>,  -t <1-99 seconds>
>               --ring <0-9|-1|-2|-3|-4|-9>, -r <0-9|-1|-2|-3|-4|-9>

>> Unsupported options:
>  
>               --no-gui
>               --pidfile,                   -p <file>
>               --module,                    -P <module name>
>               --verbose,                   -v <1-9>
>               --version,                   -V
>               --wakeup,                    -W

<!--
[### WINDOWS CLIENT-ONLY INSTALL (NCID version 1.6 and older):]
-->

### <a name="instl_freewrap_win_client"></a>WINDOWS CLIENT-ONLY INSTALL (NCID version 1.6 and older):

<!--
[#### Requirements]
-->

> #### <a name="instl_freewrap_requirements"></a>Requirements

> - Windows client version 1.6 and older

> - [NCID](https://ncid.sourceforge.io/ncid/ncid.html) server

<!--
[#### Install ncid.exe (deprecated, uses FreeWrap)]ncid.exe (deprecated, uses FreeWrap)
-->

> #### <a name="instl_freewrap_win_client_exe"></a>Install ncid.exe (deprecated, uses FreeWrap)

>> The following steps have been deprecated but are being kept for
   historical purposes. This older Windows client is still available for 
   download from SourceForge for NCID versions 1.6 and older.

>> The older version used [freeWrap](http://freewrap.sourceforge.net/) to
   bundle the ncid client script and the needed TCL/TK interpreter. This
   resulted in a simple, stand-alone executable. Unfortunately, it had a
   technical limitation where the ncid.conf file could not be edited. 
   Although it was still possible to specify command line arguments via 
   the Windows shortcut, not all ncid.conf settings had command line 
   equivalents, which meant their default settings could not be changed.
   This issue has been eliminated in the current windows install.

>> Here then are the Windows client instructions for NCID version 1.6 and 
   older....

>> - Execute the ncid installer:

>>> - NCID Versions 1.4 and older:
>>>  
>>>               ncid-VERSION-client_setup.exe  
>>>
>>> - NCID Versions 1.5 and newer:
>>>  
>>>               ncid-VERSION-client_win10_x64_setup.exe  

>>> Examples:
>>>  
>>>                 ncid-1.0-client_setup.exe  
>>>
>>>                 ncid-1.6-client_win10_x64_setup.exe

>> - You'll be asked for the NCID server address. The default is
    127.0.0.1, so you will need to change it.

>>> Examples:
>>>  
>>>                 192.168.22.10  
>>>
>>>                 ncid.sourceforge.net

<!--
[### WINDOWS 10 or 11 COMPLETE INSTALL:]
-->

### <a name="instl_win_10_11"></a>WINDOWS 10 and 11 COMPLETE INSTALL:

> The Windows Subsystem for Linux (WSL) is a full compatibility layer for running Linux applications on Windows.

>* You must be running Windows 10 version 1607 (the Anniversary update) or Windows 11 22H2.

>* WSL only runs on 64-bit versions; 32-bit versions are not supported.

> [Step-by-step screenshot guide to show you how to install bash on Windows 10 and 11](https://itsfoss.com/install-bash-on-windows).

> Be warned, you are trail blazing.  The ncid packages were not tested.
