/*
 * checksum.c - This file is part of ncidd.
 *
 * Copyright (c) 2017-2024
 * by John L. Chmielewski <jlc@users.sourceforge.net>
 *
 * ncidd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * ncidd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ncidd.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "logmsg.h"
#include "checksum.h"

/*
 * 2's complement 8-bit checksum
 * Modified from: https://stackoverflow.com/questions/3463976/c-file-checksum
 */
unsigned char checksum (unsigned char *ptr, size_t size) {
  unsigned int sum = 0;
  logMsg(HEXLEVEL, "Checksum data string:\n");
  while (size-- != 0)
  {
    logMsg(HEXLEVEL, "%.2x", *ptr);
    sum += *ptr++;
  }
  sum = sum % 256;
  return (unsigned char)sum;
}
