/*
 * ncid_poll.h - This file is part of ncidd.
 *
 * Copyright (c) 2005-2018
 * by John L. Chmielewski <jlc@users.sourceforge.net>
 *
 * ncidd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * ncidd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ncidd.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __MACH__
#include <sys/poll.h>
#else
/* the poll function on a Mac has been a problem
 *  so redefine it and use select
 */

#ifndef NCID_POLL_H
#define NCID_POLL_H

#include <sys/types.h>
#include <sys/time.h>
#include <unistd.h>
#include <stdio.h>

#define POLLIN   0x01
#define POLLPRI  0x02
#define POLLOUT  0x04
#define POLLERR  0x08
#define POLLHUP  0x10
#define POLLNVAL 0x20

struct pollfd
{
    int		fd;
    short	events;
    short	revents;
};

int poll(struct pollfd * pfds, unsigned int npfds, int ptimeout);

#endif /* ncid_poll.h */

#endif
