<!--
index.md - Removable HEADER Start
Last edited: Apr 20, 2024
Removable HEADER End
-->
<center><h1 name="top">NCID Manual Pages</h1></center>

<center>![NCID](logo.png)</center>

<p><center><b>Copyright © 2018-2024</b></center></p>

<p><center><b>NCID Development Team</b></center></p>

<center><b>Last edited: Apr 20, 2024</b></center>

The NCID manual pages are for the *NCID* and *LCDncid* packages.

### Index

> [NCID Package](#np)  
> [LCDncid Package](#lp)

## <a name="np"></a>NCID Package

> ### Server

> - Server [ncidd.8](ncidd.8.html)
> - Server Alias File [ncidd.alias.5](ncidd.alias.5.html)
> - Server Blacklist file [ncidd.blacklist.5](ncidd.blacklist.5.html)
> - Server Whitelist file [ncidd.whitelist.5](ncidd.whitelist.5.html)
> - Server Configuration file [ncidd.conf.5](ncidd.conf.5.html)
> - Server Modems [ncid_modems.7](ncid_modems.7.html)
> - Server Recordings [ncid_recordings.7](ncid_recordings.7.html)

> ### Server Hangup Extensions

> - Overview [ncid_extensions.7](ncid_extensions.7.html)
> - Calls [hangup-calls.1](hangup-calls.1.html)
> - Closed [hangup-closed-skel.1](hangup-closed-skel.1.html)
> - Call two extensions [hangup-combo-skel.1](hangup-combo-skel.1.html)
> - Fake Numbers [hangup-fakenum.1](hangup-fakenum.1.html)
> - FCC Complaint Calls List [hangup-fcc.1](hangup-fcc.1.html)
> - Message [hangup-message-skel.1](hangup-message-skel.1.html)
> - No hangup on any calls [hangup-nohangup.1](hangup-nohangup.1.html)
> - Pustal code Hangup [hangup-postal-code.1](hangup-postal-code.1.html)
> - Skel [hangup-skel.1](hangup-skel.1.html)

> ### Client

> - Client [ncid.1](ncid.1.html)
> - Client configuration file [ncid.conf.5](ncid.conf.5.html)

> ### Client Modules

> - Overview [ncid_modules.7](ncid_modules.7.html)
> - Alert [ncid-alert.1](ncid-alert.1.html)
> - Initmodem [ncid-initmodem.1](ncid-initmodem.1.html)
> - Kpopup [ncid-kpopup.1](ncid-kpopup.1.html)
> - Notify [ncid-notify.1](ncid-notify.1.html)
> - Page [ncid-page.1](ncid-page.1.html)
> - Samba [ncid-samba.1](ncid-samba.1.html)
> - Speak [ncid-speak.1](ncid-speak.1.html)
> - MySQL [ncid-mysql.1](ncid-mysql.1.html)
> - MythTV [ncid-mythtv.1](ncid-mythtv.1.html)
> - Skel [ncid-skel.1](ncid-skel.1.html)
> - Wakeup [ncid-wakeup.1](ncid-wakeup.1.html)
> - Yac [ncid-yac.1](ncid-yac.1.html)

> ### Client Plugins

> - Overview [ncid_plugins.7](ncid_plugins.7.html)

> ### Gateways

> - Overview [ncid_gateways.7](ncid_gateways.7.html)
> - Artech AD102 HID device to NCID [artech2ncid.1](artech2ncid.1.html)
> - Artech AD102 HID device configuration file to NCID [artech2ncid.conf.5](artech2ncid.conf.5.html)
> - Cideasy HID device to NCID [cideasy2ncid.1](cideasy2ncid.1.html)
> - Cideasy HID device configuration file to NCID [cideasy2ncid.conf.5](cideasy2ncid.conf.5.html)
> - Email to NCID [email2ncid.1](email2ncid.1.html)
> - Email to NCID configuration file [email2ncid.conf.5](email2ncid.conf.5.html)
> - Obihai devices to NCID [obi2ncid.1](obi2ncid.1.html)
> - Obihai devices to NCID configuration file [obi2ncid.conf.5](obi2ncid.conf.5.html)
> - NCID to NCID [ncid2ncid.1](ncid2ncid.1.html)
> - NCID to NCID configuration file [ncid2ncid.conf.5](ncid2ncid.conf.5.html)
> - Remote Notifier to NCID [rn2ncid.1](rn2ncid.1.html)
> - Remote Notifier to NCID configuration file [rn2ncid.conf.5](rn2ncid.conf.5.html)
> - SIP to NCID [sip2ncid.8](sip2ncid.8.html)
> - SIP to NCID configuration file [sip2ncid.conf.5](sip2ncid.conf.5.html)
> - Whozz Calling to NCID [wc2ncid.1](wc2ncid.1.html)
> - Whozz Calling to NCID configuration file [wc2ncid.conf.5](wc2ncid.conf.5.html)
> - XDMF devices to NCID [xdmf2ncid.1](xdmf2ncid.1.html)
> - XDMF devices to NCID configuration file [xdmf2ncid.conf.5](xdmf2ncid.conf.5.html)
> - YAC to NCID [yac2ncid.1](yac2ncid.1.html)
> - YAC to NCID configuration file [yac2ncid.conf.5](yac2ncid.conf.5.html)

> ### Tools

> - Overview [ncid_tools.7](ncid_tools.7.html)
> - View alias file and aliases in the blacklist file [cidalias.1](cidalias.1.html)
> - View call file [cidcall.1](cidcall.1.html)
> - Update call file [cidupdate.1](cidupdate.1.html)
> - Fetch the valid areacode list from Wikipedia [get-areacode-list.1](get-areacode-list.1.html)
> - Fetch the fcc.blacklist derived from FCC Complaint data [get-fcc-list.1](get-fcc-list.1.html)
> - Create yearly call log files [ncid-yearlog.1](ncid-yearlog.1.html)
> - Server helper [ncidutil.1](ncidutil.1.html)
> - Look up a number [ncidnumberinfo.1](ncidnumberinfo.1.html)
> - update the lines from the call log [update-cidcall.1](update-cidcall.1.html)
> - Whozz Calling Ethernet Link Device interactive tool [wct.1](wct.1.html)

> ### Setup Scripts

> - Setup helper script [ncid-setup.1](ncid-setup.1.html)
> - MySQL module setup [ncid-mysql-setup.8](ncid-mysql-setup.8.html)
> - Procmailrc setup for email2ncid [ncid-email2ncid-setup.1](ncid-email2ncid-setup.1.html)

> ### Log File Support

> - Log rotation [ncidrotate.1](ncidrotate.1.html)
> - Log rotation configuration file [ncidrotate.conf.5](ncidrotate.conf.5.html)
> - Log rotation size configuration file [rotatebysize.conf.5](rotatebysize.conf.5.html)

