#!/bin/bash

# ncid-alert
# usage: ncid --no-gui --module ncid-alert

# Last edited: Dec 8, 2020

# Notify Output Module
# Pop-up a notification using 'send' from 'libnotify'
# Requires 'libnotify'

ConfigDir=/etc/ncid/conf.d
ConfigFile=$ConfigDir/ncid-alert.conf

### defaults if not using config file ###
# see $ConfigFile for description
allowed_types="ALLTYPES"
alert_send=/usr/bin/notify-send
alert_timeout=10000 # timeout in ms
alert_urgency=normal
alert_icon=call-start
alert_call='$TYPE\n$DATE\n$TIME\n$LINE\n$FNMBR\n$NAME'
alert_message='$TYPE\n$DATE\n$TIME\n$LINE\n$FNMBR\n$NAME\n$MTYPE\n$MESG'

[ -f $ConfigFile ] && . $ConfigFile

# backward compatibility for pre-NCID 1.8 config files
  [ -n "$alert_types" ] && allowed_types="$alert_types"

#SEDCOMMONSH# at compile time, file ncid-modules-common.sh will be inserted here

# Exit if $TYPE not found
[ -z "$found" ] && exit 0

# set notify title
  title="${type_desc}:    "

if [ "$type_cat" = "MSGTYPE" ]
then
    alert_message=`echo $alert_message | sed 's/\\\/\\\\\\\\/g'`
    alert_type=`eval echo -e "$alert_message"`
    alert_display="$alert_type"
else
    alert_call=`echo $alert_call | sed 's/\\\/\\\\\\\\/g'`
    alert_type=`eval echo -e "$alert_call"`
    alert_display="$alert_type"
fi
    # Display Alert information
    $alert_send -u $alert_urgency -t $alert_timeout \
        -i $alert_icon "$title" "$alert_display" &

exit 0
