#!/bin/bash

# ncid-mysql
# usage: ncid --no-gui --module ncid-mysql

# Last edited: Dec 8, 2020

# Created by Randy Tarantino <tarantir@users.sf.net> on Fri Feb 13, 2015

# Copyright (c) 2015-2018 by
#   Randy Tarantino <tarantir@users.sf.net>
#   John L. Chmielewski <jlc@users.sourceforge.net>
#   Todd Andrews <tandrews@users.sourceforge.net>

# sends an NCID notification to a MySQL database

ConfigDir=/etc/ncid/conf.d
ConfigFile=$ConfigDir/ncid-mysql.conf

### defaults if not using config file ###
###  see $ConfigFile for description  ###
allowed_types="ALLTYPES"
db_host="localhost"
db_host_allowed="%"
db_port="3306"
db_name="ncid"
db_table="ncid"
db_user="ncid"
db_pass="ncid"
db_date_field_order="M D Y"
db_grant="ALL"
#no default: db_create_options=

[ -f $ConfigFile ] && . $ConfigFile

# backward compatibility for pre-NCID 1.8 config files
  [ -n "$db_types" ] && allowed_types="$db_types"

#SEDCOMMONSH# at compile time, file ncid-modules-common.sh will be inserted here

# Exit if $TYPE not found
[ -z "$found" ] && exit 0

# bash trick to parse date into individual variables
# $Y, $M, $D
IFS=" :-/" read $db_date_field_order <<<"$DATE"
DATE="${Y}-${M}-${D}"

# replace double quote with apostrophe
NAME=`echo "${NAME}" |tr \" \'`
MESG=`echo "${MESG}" |tr \" \'`

if [ -n "$FNMBR" ];then
    echo "INSERT INTO $db_table (CID,CIDTYPE,CIDDATE,CIDTIME,CIDLINE,CIDNMBR,CIDNAME,CIDMTYPE,CIDMESG) VALUES (0,'$TYPE','$DATE','$TIME','$LINE','$FNMBR',\"$NAME\",'$MTYPE',\"$MESG\");" | mysql -h $db_host -P $db_port -u $db_user -p$db_pass $db_name 
fi

exit 0
