#!/bin/bash

# ncid-mythtv
# usage: ncid --no-gui --module ncid-mythtv

# Last edited: Dec 8, 2020

# Copyright (c) 2001-2018 by
#   John L. Chmielewski <jlc@users.sourceforge.net>

# MythTV Display
# Requires mythutil - MythTV Utility helper
# See http://manpages.ubuntu.com/manpages/xenial/man1/mythutil.1.html
# Also see https://www.mythtv.org/wiki/Mythutil

### defaults if not using config file ###
###  see $ConfigFile for description  ###
allowed_types="ALLTYPES"
mythtv_bcastaddr[0]=127.0.0.1
mythtv_timeout=10

ConfigDir=/etc/ncid/conf.d
ConfigFile=$ConfigDir/ncid-mythtv.conf

[ -f $ConfigFile ] && . $ConfigFile

# backward compatibility for pre-NCID 1.8 config files
  [ -n "$mythtv_types" ] && allowed_types="$mythtv_types"

#SEDCOMMONSH# at compile time, file ncid-modules-common.sh will be inserted here

# Exit if $TYPE not found
[ -z "$found" ] && exit 0

if [ "$type_cat" = "MSGTYPE" ]
then
    # Message or Notice
    MSGTXT="$MESG"
else
    # Caller ID information
    MSGTXT="$FNMBR $NAME"
fi

for client in "${mythtv_bcastaddr[@]}"
do
    mythutil --notification \
             --origin "NCID" \
             --message_text "$MSGTXT" \
             --timeout $mythtv_timeout \
             --bcastaddr $client
done

exit 0
