#!/bin/bash

# ncid-samba
# usage: ncid --no-gui --module ncid-samba

# Last edited: Dec 8, 2020

# Copyright (c) 2001-2018 by
#   John L. Chmielewski <jlc@users.sourceforge.net>

# Samba Interface to create a popup
# Requires smbclient

# send the CID information to a windows machine via popup
# This will not work if the messenger service is disabled.

ConfigDir=/etc/ncid/conf.d
ConfigFile=$ConfigDir/ncid-samba.conf

### defaults if not using config file ###
###  see $ConfigFile for description  ###
allowed_types="ALLTYPES"
SambaClient=""

[ -f $ConfigFile ] && . $ConfigFile

[ -z "$SambaClient" ] && {
    echo "Set \"SambaClienti\" to a windows computer name to send a SMB popup"
    exit 1
}

# backward compatibility for pre-NCID 1.8 config files
  [ -n "$SambaTypes" ] && allowed_types=$SambaTypes

#SEDCOMMONSH# at compile time, file ncid-modules-common.sh will be inserted here

# Exit if $TYPE not found
[ -z "$found" ] && exit 0

if [ "$type_cat" = "MSGTYPE" ]
then
    # Display Message or Notice
    echo "$MESG" | smbclient -M $SambaClient
else
    # Display Caller ID information
    echo "$TYPE $DATE $TIME $LINE $FNMBR $NAME" |
         smbclient -M $SambaClient
fi

exit 0
