#!/bin/bash

# ncid-skel
# usage: ncid --no-gui --module ncid-skel

# Last edited: Jan 7, 2021

# Copyright (c) 2001-2021 by
#   John L. Chmielewski <jlc@users.sourceforge.net>
#   Todd Andrews <tandrews@users.sourceforge.net>

# Skeleton Output Module
# Modify as needed for new module
# keep "ncid-" in the name

# Module should provide a default for all variables.
# User changeable variables are in /etc/ncid/conf.d/ncid-skel.conf

ConfigDir=/etc/ncid/conf.d
ConfigFile=$ConfigDir/ncid-skel.conf

### defaults if not using config file ###
###  see $ConfigFile for description  ###
allowed_types="ALLTYPES"
skel_raw=0

[ -f $ConfigFile ] && . $ConfigFile

# backward compatibility for pre-NCID 1.8 config files
  [ -n "$skel_types" ] && allowed_types=$skel_types

#SEDCOMMONSH# at compile time, file ncid-modules-common.sh will be inserted here

# This is a special test mode, remove if using ncid-skel as a template
if [ $skel_raw -eq 1 ]
    then

        if [ "$found" ]; then RESULT=; else RESULT="not "; fi
        if [ "$type_smart_phone" = "Y" ]; then smart=YES; else smart=NO; fi

        echo                >/dev/tty
        echo "1  TYPE=$TYPE   (${RESULT}in allowed types list: $allowed_types)" >/dev/tty
        echo "2  DATE=$DATE"   >/dev/tty
        echo "3  TIME=$TIME"   >/dev/tty
        echo "4  LINE=$LINE"   >/dev/tty
        echo "5  NMBR=$NMBR"   >/dev/tty
        echo "6  NAME=$NAME"   >/dev/tty
        echo "7  MTYPE=$MTYPE" >/dev/tty
        echo "8  MESG=$MESG"   >/dev/tty
        echo "9  FNMBR=$FNMBR" >/dev/tty
        echo "10 NTYPE=$NTYPE" >/dev/tty
        echo "11 CTRY=$CTRY"   >/dev/tty
        echo "12 LOCA=$LOCA"   >/dev/tty
        echo "13 CARI=$CARI"   >/dev/tty
        echo "-------------"   >/dev/tty
        echo                   >/dev/tty
        echo "Category: $type_cat" >/dev/tty
        echo "Smart phone type: $smart" >/dev/tty
        echo                >/dev/tty

fi
# End of special test mode

# Exit if $TYPE not found
[ -z "$found" ] && exit 0

# calls and messages are handled differently
if [ "$type_cat" = "MSGTYPE" ]
then
    # Display Message or Notice on /dev/tty
    echo "$TYPE|$DATE|$TIME|$LINE|$FNMBR|$NAME|$MTYPE" > /dev/tty
    echo "$MESG" > /dev/tty
else
    # Display Caller ID information on /dev/tty
    echo "$TYPE|$DATE|$TIME|$LINE|$FNMBR|$NAME|" > /dev/tty
fi

exit 0
