#!/bin/bash

# ncid-speak
# usage: ncid --no-gui --module ncid-speak

# Last edited: Mar 9, 2019

# Copyright (c) 2001-2018 by
#   John L. Chmielewski <jlc@users.sourceforge.net>

# Announce the Caller ID
# Requires festival

# most of this program is taken from nciduser by Mace Moneta
# requires festival: http://www.cstr.ed.ac.uk/projects/festival

# WARNING: module ncid-kpopup may call ncid-speak
#          be sure ncid-kpopup passes stdin correctly to ncid-speak

ConfigDir=/etc/ncid/conf.d
ConfigFile=$ConfigDir/ncid-speak.conf

### defaults if not using config file ###
###  see $ConfigFile for description  ###
allowed_types="CID PID MSG NOT"
SpeakThisCall='$NAME'
SpeakThisMessage='$MESG'
SpeakInputCall="echo $SpeakThisCall | festival --tts"
SpeakInputMessage="echo $SpeakThisMessage | festival --tts"
SpeakTimes=1
SpeakDelay=2
Trigger=
AreaCodeLength=3

[ -f $ConfigFile ] && . $ConfigFile

# backward compatibility for pre-NCID 1.8 config files
  [ -n "$SpeakTypes" ] && allowed_types=$SpeakTypes
   [ -n "$SpeakThis" ] && SpeakThisCall=$SpeakThis
  [ -n "$SpeakInput" ] && SpeakInputCall=$SpeakInput

#SEDCOMMONSH# at compile time, file ncid-modules-common.sh will be inserted here

# Exit if $TYPE not found
[ -z "$found" ] && exit 0

if [ "$type_cat" = "MSGTYPE" ]
then
    if [ -n "$Trigger" ]
       then
          x=${#Trigger}
          if [ "${MESG:0:$x}" = "${Trigger}" ]
             then
                MESG=${MESG:$x}
          else
             exit 0
          fi
    fi
else
    if [ "$NAME" = "NO NAME" ] && [ $AreaCodeLength -ne 0 ]
    then
        NMBR=`echo $NMBR |sed 's/[^0-9]//g; s/^1//'`
        length=$((${#NMBR}-AreaCodeLength))
        if [ $length -le 0 ]
        then
            if [ ${#NMBR} -gt 1 ]
            then
                NAME=`echo $NMBR |sed 's/./ &/g'`
            fi
        else
            NAME="Area Code"`echo $NMBR | eval "sed -e 's/.\{$length\}\$//; s/./ &/g'"`
        fi
    fi
fi
eval SpeakThisCall="$SpeakThisCall"
eval SpeakThisMessage="$SpeakThisMessage"

while [ ${SpeakTimes:=1} != 0 ]
do
    if [ "$type_cat" = "MSGTYPE" ]
    then
        eval $SpeakInputMessage
    else
        eval $SpeakInputCall
    fi
    SpeakTimes=`expr $SpeakTimes - 1`
    [ $SpeakTimes = 0 ] || /bin/sleep ${SpeakDelay:=1}
done

exit 0
