#!/bin/bash

# ncid-yac
# usage: ncid --no-gui --module ncid-yac

# Last edited: Dec 8, 2020

# Copyright (c) 2001-2018 by
#   John L. Chmielewski <jlc@users.sourceforge.net>

# NCID to YAC Clients
# Requires a YAC Client

### defaults if not using config file ###
###  see $ConfigFile for description  ###
allowed_types="ALLTYPES"
YACPORT=10629
YACLIST=127.0.0.1

ConfigDir=/etc/ncid/conf.d
ConfigFile=$ConfigDir/ncid-yac.conf

[ -f $ConfigFile ] && . $ConfigFile

# backward compatibility for pre-NCID 1.8 config files
  [ -n "$YACTYPES" ] && allowed_types="$YACTYPES"

#SEDCOMMONSH# at compile time, file ncid-modules-common.sh will be inserted here

# Exit if $TYPE not found
[ -z "$found" ] && exit 0

for YACCLIENT in ${YACLIST}
do
    if [ "$type_cat" = "MSGTYPE" ]
    then
        # Display Message or Notice
        echo -n "$MESG" | nc -w1 $YACCLIENT $YACPORT
    else
        # Display Caller ID information
        echo -n "@CALL${NAME}~${FNMBR}" | nc -w1 $YACCLIENT $YACPORT
    fi
done

exit 0
